package com.dcsoft.system.uniubi.domain;

import lombok.Data;

import java.util.HashMap;


/**
 * Uface回调参数 持久化对象
 *
 * @author nichun
 */
@Data
public class BackResult extends HashMap<String, Object> {



    /** 返回内容 */
    public static final String RESULT_TAG = "result";

    /** 数据对象 */
    public static final String SUCCESS_TAG = "success";


    public BackResult()
    {
    }

    /**
     * 初始化一个新创建的 AjaxResult 对象
     *
     * @param code 状态码
     * @param msg 返回内容
     */
    public BackResult(int code, Boolean msg)
    {
        super.put(RESULT_TAG, code);
        super.put(SUCCESS_TAG, msg);
    }

    /**
     * 返回成功消息
     *
     * @return 成功消息
     */
    public static BackResult success()
    {
        return BackResult.success();
    }


}
